Debian Bug report logs - #298885
websvn: URL encoding for repository name is needed

version graph

Package: websvn; Maintainer for websvn is Pierre Chifflier <pollux@debian.org>; Source for websvn is src:websvn.

Reported by: Tiago Bortoletto Vaz <tiago@debian-ba.org>

Date: Thu, 10 Mar 2005 14:33:06 UTC

Severity: normal

Fixed in version websvn/1.61-13

Done: Pierre Chifflier <chifflier@cpe.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Pierre Chifflier <chifflier@cpe.fr>:
Bug#298885; Package websvn. Full text and rfc822 format available.

Acknowledgement sent to Tiago Bortoletto Vaz <tiago@debian-ba.org>:
New Bug report received and forwarded. Copy sent to Pierre Chifflier <chifflier@cpe.fr>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tiago Bortoletto Vaz <tiago@debian-ba.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: websvn: URL encoding for repository name is needed
Date: Thu, 10 Mar 2005 11:24:21 -0300
[Message part 1 (text/plain, inline)]
Package: websvn
Severity: normal

Some repository names have characters that need to 
encode. A example is here: http://gnosislivre.org/websvn/

The patch for using urlencode() in repository name is attached.
Thanks,

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.9
Locale: LANG=pt_BR, LC_CTYPE=pt_BR (charmap=ISO-8859-1)
[websvn.patch (text/plain, attachment)]

Reply sent to Pierre Chifflier <chifflier@cpe.fr>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Tiago Bortoletto Vaz <tiago@debian-ba.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 298885-close@bugs.debian.org (full text, mbox):

From: Pierre Chifflier <chifflier@cpe.fr>
To: 298885-close@bugs.debian.org
Subject: Bug#298885: fixed in websvn 1.61-13
Date: Sun, 03 Apr 2005 13:17:15 -0400
Source: websvn
Source-Version: 1.61-13

We believe that the bug you reported is fixed in the latest version of
websvn, which is due to be installed in the Debian FTP archive:

websvn_1.61-13.diff.gz
  to pool/main/w/websvn/websvn_1.61-13.diff.gz
websvn_1.61-13.dsc
  to pool/main/w/websvn/websvn_1.61-13.dsc
websvn_1.61-13_all.deb
  to pool/main/w/websvn/websvn_1.61-13_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 298885@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Pierre Chifflier <chifflier@cpe.fr> (supplier of updated websvn package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  3 Apr 2005 17:04:10 +0200
Source: websvn
Binary: websvn
Architecture: source all
Version: 1.61-13
Distribution: unstable
Urgency: low
Maintainer: Pierre Chifflier <chifflier@cpe.fr>
Changed-By: Pierre Chifflier <chifflier@cpe.fr>
Description: 
 websvn     - interface for subversion repositories written in PHP
Closes: 298486 298885 302018 302426
Changes: 
 websvn (1.61-13) unstable; urgency=low
 .
   * Corrected grammar error in template (Closes: #302426)
   * Applied patch to fix tarballs with spaces (Closes: #302018)
   * Applied patch to urlencode repository name (Closes: #298885)
   * Applied patch to fix notice warning (Closes: #298486)
Files: 
 24439f4fb819b7c6e38ed5a0cd56f95e 579 devel optional websvn_1.61-13.dsc
 7fa878a535a9fe8f6efe204549a60464 13697 devel optional websvn_1.61-13.diff.gz
 9d9b5cf0b5deaa70ccb3f8556c81ffb3 98086 devel optional websvn_1.61-13_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (GNU/Linux)

iD8DBQFCUCKyw3ao2vG823MRApczAJwMiLApnMeXHe3VV4fkfQUv5LEBvwCeP/IY
Agzze0etr3Z71bPpw1Cfk6Y=
=EscN
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:56:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.